"""@package XTCONST
    A Python3 class that has the CONSTS of the Xpert-Timer XTWEB/XTCLOURSERVER API.
"""

EMPTYGUID = "{11111111-1111-1111-1111-111111111111}"

# Project states
psRunning       = 0
psPaused        = 1
psCancled       = 2
psFinished      = 3
psInactive      = 4
psAccounted     = 5
psToBeAccounted = 6
psUserdefined1  = 100
psUserdefined2  = 101
psUserdefined3  = 102
psUserdefined4  = 103
psUserdefined5  = 104
psUserdefined6  = 105
psUserdefined7  = 106
psUserdefined8  = 107
psUserdefined9  = 108
psUserdefined10 = 109

# Task states
tsNotStarted   = 0
tsChecking     = 1
tsInProgress   = 2
tsPaused       = 3
tsWaiting      = 4
tsDeclined     = 5
tsDone         = 6
tsTesting      = 7
tsTestFailed   = 8
tsTestOk       = 9
tsProblem      = 10
tsReady        = 11
tsUserdefined1 = 100
tsUserdefined2 = 101
tsUserdefined3 = 102
tsUserdefined4 = 103
tsUserdefined5 = 104

# Priorities
priNone   = 0
priLow    = 1
priNormal = 2
priHigh   = 3
priHigher = 4
priASAP   = 5

# Visibilities
vmOwn = 0
vmWorkgroup = 1
vmAll = 2
vmInChargeOfProject = 3
vmInChargeOfWorkgroup = 4
vmNotInitialized = 5
